[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPHashObjectList.HashOfIndex

Return the hash value of an object by index

## Declaration

Source position: contnrs.pp line 312

`public function TFPHashObjectList.HashOfIndex(`
`Index: Integer`
`):LongWord;`

## Arguments

`Index` |  | Index of object for which to return hash value

## Function result

Hash value of object at position Index

## Description

HashOfIndex returns the hash value of the object at position Index.

## Errors

If Index is out of the valid range, an exception is raised.

## See also

TFPHashObjectList.NameOfIndex |  | Returns the key name of an object by index
TFPHashObjectList.Find |  | Find data associated with key
TFPHashObjectList.FindIndexOf |  | Return index of named object.
TFPHashObjectList.FindWithHash |  | Find first element with given name and hash value